GWT 2.7.0

## com.google.gwt.event.logical.shared
Class InitializeEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<InitializeHandler>
              com.google.gwt.event.logical.shared.InitializeEvent

    public class InitializeEvent

extends GwtEvent<InitializeHandler>

Fired when the event source is initialized.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`protected` | `InitializeEvent()` Construct a new `InitializeEvent`.

Method Summary
`protected void` | `dispatch(InitializeHandler handler)` Should only be called by `HandlerManager`.

`static

`<S extends HasInitializeHandlers & HasHandlers> void`

`

`fire(S source)`
Fires a initialize event on all registered handlers in the handler source.

`GwtEvent.Type<InitializeHandler>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`static GwtEvent.Type<InitializeHandler>` | `getType()` Ensures the existence of the handler hook and then returns it.

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill, revive`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InitializeEvent

    protected InitializeEvent()

  Construct a new `InitializeEvent`.

Method Detail

### fire

    public static <S extends HasInitializeHandlers & HasHandlers> void fire(S source)

  Fires a initialize event on all registered handlers in the handler source.

  Type Parameters:
    `S` - The handler source
  Parameters:
    `source` - the source of the handlers

### getType

    public static GwtEvent.Type<InitializeHandler> getType()

  Ensures the existence of the handler hook and then returns it.

  Returns:
    returns a handler hook

### getAssociatedType

    public final GwtEvent.Type<InitializeHandler> getAssociatedType()

  Description copied from class: `Event`
  Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

  Specified by:
    `getAssociatedType` in class `GwtEvent<InitializeHandler>`
  Returns:
    the type

### dispatch

    protected void dispatch(InitializeHandler handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<InitializeHandler>`
  Parameters:
    `handler` - handler
  See Also:
    `EventBus.dispatchEvent(Event, Object)`

GWT 2.7.0